> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spendin.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List webhook deliveries

> Every attempt, with its response status and failure reason. Cursor-paginated.



## OpenAPI

````yaml /openapi.json get /v1/webhooks/deliveries
openapi: 3.0.0
info:
  title: Spendin Merchant API
  description: Cross-border remittance and financial services API
  version: '1.0'
  contact: {}
servers:
  - url: https://api.spendin.app
    description: Production
security:
  - api-key: []
tags: []
paths:
  /v1/webhooks/deliveries:
    get:
      tags:
        - webhooks
      summary: List webhook deliveries
      description: >-
        Every attempt, with its response status and failure reason.
        Cursor-paginated.
      operationId: WebhooksController_listDeliveries
      parameters:
        - name: cursor
          required: false
          in: query
          schema:
            type: string
        - name: limit
          required: false
          in: query
          schema:
            type: number
      responses:
        '200':
          description: Paginated delivery log
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                  - meta
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/WebhookDeliveryDto'
                  meta:
                    $ref: '#/components/schemas/PaginationMetaDto'
      security:
        - api-key: []
components:
  schemas:
    WebhookDeliveryDto:
      type: object
      properties:
        id:
          type: string
        payout_id:
          type: object
          nullable: true
        event_id:
          type: string
        event_type:
          type: string
          example: payout.created
        attempt_number:
          type: number
          example: 1
        target_url:
          type: string
        response_status:
          type: object
          nullable: true
          example: 200
        status:
          type: string
          enum:
            - PENDING
            - DELIVERING
            - SUCCESS
            - FAILED
            - DEAD
        failure_reason:
          type: object
          nullable: true
        created_at:
          type: string
          example: '2026-08-05T14:30:00.000Z'
      required:
        - id
        - payout_id
        - event_id
        - event_type
        - attempt_number
        - target_url
        - response_status
        - status
        - failure_reason
        - created_at
    PaginationMetaDto:
      type: object
      properties:
        next_cursor:
          type: object
          example: eyJpZCI6IjEyMyJ9
          nullable: true
        has_more:
          type: boolean
          example: true
        limit:
          type: number
          example: 20
      required:
        - next_cursor
        - has_more
        - limit
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: X-API-Key

````